xine-lib: http_input_plugin_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
http_input_plugin_t Struct Reference

## Data Fields
input_plugin_t | input_plugin
xine_stream_t * | stream
xine_t * | xine
xine_nbc_t * | nbc
off_t | curpos
uint64_t | contentlength
uint64_t | bytes_left
uint64_t | range_start
uint64_t | range_end
uint64_t | range_total
const char * | user_agent
xine_url_t | url
xine_url_t | proxyurl
xine_tls_t * | tls
FILE * | head_dump_file
int | use_proxy
int | use_tls
int | ret
int | fh
uint32_t | sgot
uint32_t | sdelivered
uint32_t | schunkleft
uint32_t | zgot
uint32_t | zdelivered
uint32_t | mode
uint32_t | status
z_stream | z_state
int | num_msgs
uint32_t | shoutcast_interval
uint32_t | shoutcast_left
char * | shoutcast_songtitle
char | mime_type [128]
uint8_t | zbuf [32<< 10]
uint8_t | zbuf_pad [4]
uint8_t | sbuf [32<< 10]
uint8_t | sbuf_pad [4]
struct { |
off_t start |
int32_t size |
uint8_t buf [MAX_PREVIEW_SIZE] |
} | preview |
char | mrl [4096]

## Field Documentation

## ◆ buf

uint8_t http_input_plugin_t::buf[MAX_PREVIEW_SIZE]

## ◆ bytes_left

uint64_t http_input_plugin_t::bytes_left

## ◆ contentlength

uint64_t http_input_plugin_t::contentlength

## ◆ curpos

off_t http_input_plugin_t::curpos

## ◆ fh

int http_input_plugin_t::fh

## ◆ head_dump_file

FILE* http_input_plugin_t::head_dump_file

## ◆ input_plugin

input_plugin_t http_input_plugin_t::input_plugin

## ◆ mime_type

char http_input_plugin_t::mime_type[128]

## ◆ mode

uint32_t http_input_plugin_t::mode

## ◆ mrl

char http_input_plugin_t::mrl[4096]

## ◆ nbc

xine_nbc_t* http_input_plugin_t::nbc

## ◆ num_msgs

int http_input_plugin_t::num_msgs

## ◆ [struct]

struct { ... } http_input_plugin_t::preview

## ◆ proxyurl

xine_url_t http_input_plugin_t::proxyurl

## ◆ range_end

uint64_t http_input_plugin_t::range_end

## ◆ range_start

uint64_t http_input_plugin_t::range_start

## ◆ range_total

uint64_t http_input_plugin_t::range_total

## ◆ ret

int http_input_plugin_t::ret

## ◆ sbuf

uint8_t http_input_plugin_t::sbuf[32<< 10]

## ◆ sbuf_pad

uint8_t http_input_plugin_t::sbuf_pad[4]

## ◆ schunkleft

uint32_t http_input_plugin_t::schunkleft

## ◆ sdelivered

uint32_t http_input_plugin_t::sdelivered

## ◆ sgot

uint32_t http_input_plugin_t::sgot

## ◆ shoutcast_interval

uint32_t http_input_plugin_t::shoutcast_interval

## ◆ shoutcast_left

uint32_t http_input_plugin_t::shoutcast_left

## ◆ shoutcast_songtitle

char* http_input_plugin_t::shoutcast_songtitle

## ◆ size

int32_t http_input_plugin_t::size

## ◆ start

off_t http_input_plugin_t::start

## ◆ status

uint32_t http_input_plugin_t::status

## ◆ stream

xine_stream_t* http_input_plugin_t::stream

## ◆ tls

xine_tls_t* http_input_plugin_t::tls

## ◆ url

xine_url_t http_input_plugin_t::url

## ◆ use_proxy

int http_input_plugin_t::use_proxy

## ◆ use_tls

int http_input_plugin_t::use_tls

## ◆ user_agent

const char* http_input_plugin_t::user_agent

## ◆ xine

xine_t* http_input_plugin_t::xine

## ◆ z_state

z_stream http_input_plugin_t::z_state

## ◆ zbuf

uint8_t http_input_plugin_t::zbuf[32<< 10]

## ◆ zbuf_pad

uint8_t http_input_plugin_t::zbuf_pad[4]

## ◆ zdelivered

uint32_t http_input_plugin_t::zdelivered

## ◆ zgot

uint32_t http_input_plugin_t::zgot

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/input/input_http.c